apiVersion: v1
kind: Service
metadata:
  name: lovd-proxy
spec:
  ports:
  - port: 80
  selector:
    app: lovd-proxy
  clusterIP: None
---
apiVersion: v1
kind: Service
metadata:
  name: lovd-proxy-public
spec:
  ports:
  - port: 80
  selector:
    app: lovd-proxy
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: lovd-proxy
spec:
  selector:
    matchLabels:
      app: lovd-proxy
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: lovd-proxy
    spec:
      containers:
      - image: registry.gitlab.com/precmed/deployment/authentication/lovd-proxy:1.8.2
        name: lovd-proxy
        env:
        - name: OIDC_SECRET
          valueFrom:
            secretKeyRef:
              name: lovd-proxy-iodc-secrets
              key: OIDC_SECRET
        - name: PROXY_URL
          value: "https://db.service.oncopmnet.gr/"
        - name: IODC_CLIENT_SECRETS_PATH
          value: /etc/iodc_secrets/client_secrets.json
        - name: KEYCLOAK_URL
          value: "http://keycloak:8080/auth/"
        - name: KEYCLOAK_REALM
          value: precmed
        - name: KEYCLOAK_CLIENT
          value: minio
        - name: GROUPS
          value: '["bioacademy-gr", "certh-gr", "eie-gr", "fleming-gr", "forth-gr", "med-uoa-gr", "rrp-demokritos-gr", "uoc-gr"]'
        ports:
        - containerPort: 80
          name: lovd-proxy
        volumeMounts:
        - name: iodc-secrets
          mountPath: /etc/iodc_secrets
      initContainers:
      - name: generate-iodc-secret
        image: registry.gitlab.com/precmed/deployment/authentication/generate-iodc-secrets:1.8.2
        env:
        - name: KEYCLOAK_HOST_GLOBAL
          value: "accounts.oncopmnet.gr"
        - name: KEYCLOAK_REALM
          value: precmed
        - name: KEYCLOAK_CLIENT_ID
          value: lovd
        - name: KEYCLOAK_ROLES_ADMIN_USERNAME
          valueFrom:
              secretKeyRef:
                name: keycloak-roles-admin
                key: USERNAME
        - name: KEYCLOAK_ROLES_ADMIN_PASSWORD
          valueFrom:
              secretKeyRef:
                name: keycloak-roles-admin
                key: PASSWORD
        - name: KEYCLOAK_CLIENT_SECRET
          valueFrom:
            secretKeyRef:
              name: lovd-proxy-iodc-secrets
              key: KEYCLOAK_CLIENT_SECRET
        - name: KEYCLOAK_REDIRECT_URI
          value: "db.service.oncopmnet.gr"
        - name: SECRETS_DIR
          value: /etc/iodc_secrets/
        volumeMounts:
        - name: iodc-secrets
          mountPath: /etc/iodc_secrets
      volumes:
        - name: iodc-secrets
          emptyDir: {}
      securityContext:
        runAsGroup: 3000
        runAsUser: 1000
